/*
 * Copyright 2016 frankmuenster.de
 *
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald
 * diese von der Europischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie drfen dieses Werk ausschlielich gem
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   http://ec.europa.eu/idabc/eupl
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschrnkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.frankmuenster.jameica.depot.finanzen.yahoo.finance;

import java.sql.Time;
import java.util.Date;

/**
 * Yahoo WertpapierInfoBean Bean.
 * 
 * @author munstfr
 * @version 1.0
 */
@SuppressWarnings({ "PMD.ExcessivePublicCount", "PMD.ExcessiveClassLength",
		"PMD.TooManyFields", "PMD.LongVariable", "PMD.CommentRequired" })
public class WertpapierInfoBean {

	private double afterHoursChangeRealtime;
	private double annualizedGain;
	private double ask;
	private double askRealtime;
	private double averageDailyVolume;
	private double bid;
	private double bidRealtime;
	private double bookValue;
	private double change;
	private double changeFromFiftydayMovingAverage;
	private double changeFromTwoHundreddayMovingAverage;
	private double changeFromYearHigh;
	private double changeFromYearLow;
	private double changeinPercent;
	private double changePercentChange;
	private double changePercentRealtime;
	private double changeRealtime;
	private String commission;
	private String currency;
	private double daysHigh;
	private double daysLow;
	private double daysRange;
	private double daysRangeRealtime;
	private double daysValueChange;
	private double daysValueChangeRealtime;
	private Date dividendPayDate;
	private double dividendShare;
	private String dividendYield;
	private double earningsShare;
	private double ebitda;
	private double ePSEstimateCurrentYear;
	private double ePSEstimateNextQuarter;
	private double ePSEstimateNextYear;
	private String errorIndicationreturnedforsymbolchangedinvalid;
	private Date exDividendDate;
	private double fiftydayMovingAverage;
	private double highLimit;
	private double holdingsGain;
	private double holdingsGainPercent;
	private double holdingsGainPercentRealtime;
	private double holdingsGainRealtime;
	private double holdingsValue;
	private double holdingsValueRealtime;
	private Date lastTradeDate;
	private double lastTradePriceOnly;
	private double lastTradeRealtimeWithTime;
	private Time lastTradeTime;
	private double lastTradeWithTime;
	private double lowLimit;
	private double marketCapitalization;
	private double marketCapRealtime;
	private String moreInfo;
	private String name;
	private String notes;
	private double oneyrTargetPrice;
	private double open;
	private double orderBookRealtime;
	private double peGRatio;
	private double peRatio;
	private double peRatioRealtime;
	private double percebtChangeFromYearHigh;
	private double percentChange;
	private double percentChangeFromFiftydayMovingAverage;
	private double percentChangeFromTwoHundreddayMovingAverage;
	private double percentChangeFromYearLow;
	private double previousClose;
	private double priceBook;
	private double priceEPSEstimateCurrentYear;
	private double priceEPSEstimateNextYear;
	private double pricePaid;
	private double priceSales;
	private String sharesOwned;
	private double shortRatio;
	private String stockExchange;
	private String symbol;
	private String tickerTrend;
	private Date tradeDate;
	private double twoHundreddayMovingAverage;
	private double volume;
	private double yearHigh;
	private double yearLow;
	private String yearRange;

	/**
	 * Standartkonstruktor
	 */
	public WertpapierInfoBean() {
		// Absichtlich leer
	}

	/**
	 * @return the afterHoursChangeRealtime
	 */
	public double getAfterHoursChangeRealtime() {
		return afterHoursChangeRealtime;
	}

	/**
	 * @return the annualizedGain
	 */
	public double getAnnualizedGain() {
		return annualizedGain;
	}

	/**
	 * @return the ask
	 */
	public double getAsk() {
		return ask;
	}

	/**
	 * @return the askRealtime
	 */
	public double getAskRealtime() {
		return askRealtime;
	}

	/**
	 * @return the averageDailyVolume
	 */
	public double getAverageDailyVolume() {
		return averageDailyVolume;
	}

	/**
	 * @return the bid
	 */
	public double getBid() {
		return bid;
	}

	/**
	 * @return the bidRealtime
	 */
	public double getBidRealtime() {
		return bidRealtime;
	}

	/**
	 * @return the bookValue
	 */
	public double getBookValue() {
		return bookValue;
	}

	/**
	 * @return the change
	 */
	public double getChange() {
		return change;
	}

	/**
	 * @return the changeFromFiftydayMovingAverage
	 */
	public double getChangeFromFiftydayMovingAverage() {
		return changeFromFiftydayMovingAverage;
	}

	/**
	 * @return the changeFromTwoHundreddayMovingAverage
	 */
	public double getChangeFromTwoHundreddayMovingAverage() {
		return changeFromTwoHundreddayMovingAverage;
	}

	/**
	 * @return the changeFromYearHigh
	 */
	public double getChangeFromYearHigh() {
		return changeFromYearHigh;
	}

	/**
	 * @return the changeFromYearLow
	 */
	public double getChangeFromYearLow() {
		return changeFromYearLow;
	}

	/**
	 * @return the changeinPercent
	 */
	public double getChangeinPercent() {
		return changeinPercent;
	}

	/**
	 * @return the changePercentChange
	 */
	public double getChangePercentChange() {
		return changePercentChange;
	}

	/**
	 * @return the changePercentRealtime
	 */
	public double getChangePercentRealtime() {
		return changePercentRealtime;
	}

	/**
	 * @return the changeRealtime
	 */
	public double getChangeRealtime() {
		return changeRealtime;
	}

	/**
	 * @return the commission
	 */
	public String getCommission() {
		return commission;
	}

	/**
	 * @return the currency
	 */
	public String getCurrency() {
		return currency;
	}

	/**
	 * @return the daysHigh
	 */
	public double getDaysHigh() {
		return daysHigh;
	}

	/**
	 * @return the daysLow
	 */
	public double getDaysLow() {
		return daysLow;
	}

	/**
	 * @return the daysRange
	 */
	public double getDaysRange() {
		return daysRange;
	}

	/**
	 * @return the daysRangeRealtime
	 */
	public double getDaysRangeRealtime() {
		return daysRangeRealtime;
	}

	/**
	 * @return the daysValueChange
	 */
	public double getDaysValueChange() {
		return daysValueChange;
	}

	/**
	 * @return the daysValueChangeRealtime
	 */
	public double getDaysValueChangeRealtime() {
		return daysValueChangeRealtime;
	}

	/**
	 * @return the dividendPayDate
	 */
	public Date getDividendPayDate() {
		return dividendPayDate;
	}

	/**
	 * @return the dividendShare
	 */
	public double getDividendShare() {
		return dividendShare;
	}

	/**
	 * @return the dividendYield
	 */
	public String getDividendYield() {
		return dividendYield;
	}

	/**
	 * @return the earningsShare
	 */
	public double getEarningsShare() {
		return earningsShare;
	}

	/**
	 * @return the eBITDA
	 */
	public double getEbitda() {
		return ebitda;
	}

	/**
	 * @return the ePSEstimateCurrentYear
	 */
	public double getEPSEstimateCurrentYear() {
		return ePSEstimateCurrentYear;
	}

	/**
	 * @return the ePSEstimateNextQuarter
	 */
	public double getEPSEstimateNextQuarter() {
		return ePSEstimateNextQuarter;
	}

	/**
	 * @return the ePSEstimateNextYear
	 */
	public double getEPSEstimateNextYear() {
		return ePSEstimateNextYear;
	}

	/**
	 * @return the errorIndicationreturnedforsymbolchangedinvalid
	 */
	public String getErrorIndicationreturnedforsymbolchangedinvalid() {
		return errorIndicationreturnedforsymbolchangedinvalid;
	}

	/**
	 * @return the exDividendDate
	 */
	public Date getExDividendDate() {
		return exDividendDate;
	}

	/**
	 * @return the fiftydayMovingAverage
	 */
	public double getFiftydayMovingAverage() {
		return fiftydayMovingAverage;
	}

	/**
	 * @return the highLimit
	 */
	public double getHighLimit() {
		return highLimit;
	}

	/**
	 * @return the holdingsGain
	 */
	public double getHoldingsGain() {
		return holdingsGain;
	}

	/**
	 * @return the holdingsGainPercent
	 */
	public double getHoldingsGainPercent() {
		return holdingsGainPercent;
	}

	/**
	 * @return the holdingsGainPercentRealtime
	 */
	public double getHoldingsGainPercentRealtime() {
		return holdingsGainPercentRealtime;
	}

	/**
	 * @return the holdingsGainRealtime
	 */
	public double getHoldingsGainRealtime() {
		return holdingsGainRealtime;
	}

	/**
	 * @return the holdingsValue
	 */
	public double getHoldingsValue() {
		return holdingsValue;
	}

	/**
	 * @return the holdingsValueRealtime
	 */
	public double getHoldingsValueRealtime() {
		return holdingsValueRealtime;
	}

	/**
	 * @return the lastTradeDate
	 */
	public Date getLastTradeDate() {
		return lastTradeDate;
	}

	/**
	 * @return the lastTradePriceOnly
	 */
	public double getLastTradePriceOnly() {
		return lastTradePriceOnly;
	}

	/**
	 * @return the lastTradeRealtimeWithTime
	 */
	public double getLastTradeRealtimeWithTime() {
		return lastTradeRealtimeWithTime;
	}

	/**
	 * @return the lastTradeTime
	 */
	public Time getLastTradeTime() {
		return lastTradeTime;
	}

	/**
	 * @return the lastTradeWithTime
	 */
	public double getLastTradeWithTime() {
		return lastTradeWithTime;
	}

	/**
	 * @return the lowLimit
	 */
	public double getLowLimit() {
		return lowLimit;
	}

	/**
	 * @return the marketCapitalization
	 */
	public double getMarketCapitalization() {
		return marketCapitalization;
	}

	/**
	 * @return the marketCapRealtime
	 */
	public double getMarketCapRealtime() {
		return marketCapRealtime;
	}

	/**
	 * @return the moreInfo
	 */
	public String getMoreInfo() {
		return moreInfo;
	}

	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @return the notes
	 */
	public String getNotes() {
		return notes;
	}

	/**
	 * @return the oneyrTargetPrice
	 */
	public double getOneyrTargetPrice() {
		return oneyrTargetPrice;
	}

	/**
	 * @return the open
	 */
	public double getOpen() {
		return open;
	}

	/**
	 * @return the orderBookRealtime
	 */
	public double getOrderBookRealtime() {
		return orderBookRealtime;
	}

	/**
	 * @return the pEGRatio
	 */
	public double getPeGRatio() {
		return peGRatio;
	}

	/**
	 * @return the pERatio
	 */
	public double getPeRatio() {
		return peRatio;
	}

	/**
	 * @return the peRatioRealtime
	 */
	public double getPeRatioRealtime() {
		return peRatioRealtime;
	}

	/**
	 * @return the percebtChangeFromYearHigh
	 */
	public double getPercebtChangeFromYearHigh() {
		return percebtChangeFromYearHigh;
	}

	/**
	 * @return the percentChange
	 */
	public double getPercentChange() {
		return percentChange;
	}

	/**
	 * @return the percentChangeFromFiftydayMovingAverage
	 */
	public double getPercentChangeFromFiftydayMovingAverage() {
		return percentChangeFromFiftydayMovingAverage;
	}

	/**
	 * @return the percentChangeFromTwoHundreddayMovingAverage
	 */
	public double getPercentChangeFromTwoHundreddayMovingAverage() {
		return percentChangeFromTwoHundreddayMovingAverage;
	}

	/**
	 * @return the percentChangeFromYearLow
	 */
	public double getPercentChangeFromYearLow() {
		return percentChangeFromYearLow;
	}

	/**
	 * @return the previousClose
	 */
	public double getPreviousClose() {
		return previousClose;
	}

	/**
	 * @return the priceBook
	 */
	public double getPriceBook() {
		return priceBook;
	}

	/**
	 * @return the priceEPSEstimateCurrentYear
	 */
	public double getPriceEPSEstimateCurrentYear() {
		return priceEPSEstimateCurrentYear;
	}

	/**
	 * @return the priceEPSEstimateNextYear
	 */
	public double getPriceEPSEstimateNextYear() {
		return priceEPSEstimateNextYear;
	}

	/**
	 * @return the pricePaid
	 */
	public double getPricePaid() {
		return pricePaid;
	}

	/**
	 * @return the priceSales
	 */
	public double getPriceSales() {
		return priceSales;
	}

	/**
	 * @return the sharesOwned
	 */
	public String getSharesOwned() {
		return sharesOwned;
	}

	/**
	 * @return the shortRatio
	 */
	public double getShortRatio() {
		return shortRatio;
	}

	/**
	 * @return the stockExchange
	 */
	public String getStockExchange() {
		return stockExchange;
	}

	/**
	 * @return the symbol
	 */
	public String getSymbol() {
		return symbol;
	}

	/**
	 * @return the tickerTrend
	 */
	public String getTickerTrend() {
		return tickerTrend;
	}

	/**
	 * @return the tradeDate
	 */
	public Date getTradeDate() {
		return tradeDate;
	}

	/**
	 * @return the twoHundreddayMovingAverage
	 */
	public double getTwoHundreddayMovingAverage() {
		return twoHundreddayMovingAverage;
	}

	/**
	 * @return the volume
	 */
	public double getVolume() {
		return volume;
	}

	/**
	 * @return the yearHigh
	 */
	public double getYearHigh() {
		return yearHigh;
	}

	/**
	 * @return the yearLow
	 */
	public double getYearLow() {
		return yearLow;
	}

	/**
	 * @return the yearRange
	 */
	public String getYearRange() {
		return yearRange;
	}

	/**
	 * @param afterHoursChangeRealtime
	 *            the afterHoursChangeRealtime to set
	 */
	public void setAfterHoursChangeRealtime(
			final double afterHoursChangeRealtime) {
		this.afterHoursChangeRealtime = afterHoursChangeRealtime;
	}

	/**
	 * @param annualizedGain
	 *            the annualizedGain to set
	 */
	public void setAnnualizedGain(final double annualizedGain) {
		this.annualizedGain = annualizedGain;
	}

	/**
	 * @param ask
	 *            the ask to set
	 */
	public void setAsk(final double ask) {
		this.ask = ask;
	}

	/**
	 * @param askRealtime
	 *            the askRealtime to set
	 */
	public void setAskRealtime(final double askRealtime) {
		this.askRealtime = askRealtime;
	}

	/**
	 * @param averageDailyVolume
	 *            the averageDailyVolume to set
	 */
	public void setAverageDailyVolume(final double averageDailyVolume) {
		this.averageDailyVolume = averageDailyVolume;
	}

	/**
	 * @param bid
	 *            the bid to set
	 */
	public void setBid(final double bid) {
		this.bid = bid;
	}

	/**
	 * @param bidRealtime
	 *            the bidRealtime to set
	 */
	public void setBidRealtime(final double bidRealtime) {
		this.bidRealtime = bidRealtime;
	}

	/**
	 * @param bookValue
	 *            the bookValue to set
	 */
	public void setBookValue(final double bookValue) {
		this.bookValue = bookValue;
	}

	/**
	 * @param change
	 *            the change to set
	 */
	public void setChange(final double change) {
		this.change = change;
	}

	/**
	 * @param changeFromFiftydayMovingAverage
	 *            the changeFromFiftydayMovingAverage to set
	 */
	public void setChangeFromFiftydayMovingAverage(
			final double changeFromFiftydayMovingAverage) {
		this.changeFromFiftydayMovingAverage = changeFromFiftydayMovingAverage;
	}

	/**
	 * @param changeFromTwoHundreddayMovingAverage
	 *            the changeFromTwoHundreddayMovingAverage to set
	 */
	public void setChangeFromTwoHundreddayMovingAverage(
			final double changeFromTwoHundreddayMovingAverage) {
		this.changeFromTwoHundreddayMovingAverage = changeFromTwoHundreddayMovingAverage;
	}

	/**
	 * @param changeFromYearHigh
	 *            the changeFromYearHigh to set
	 */
	public void setChangeFromYearHigh(final double changeFromYearHigh) {
		this.changeFromYearHigh = changeFromYearHigh;
	}

	/**
	 * @param changeFromYearLow
	 *            the changeFromYearLow to set
	 */
	public void setChangeFromYearLow(final double changeFromYearLow) {
		this.changeFromYearLow = changeFromYearLow;
	}

	/**
	 * @param changeinPercent
	 *            the changeinPercent to set
	 */
	public void setChangeinPercent(final double changeinPercent) {
		this.changeinPercent = changeinPercent;
	}

	/**
	 * @param changePercentChange
	 *            the changePercentChange to set
	 */
	public void setChangePercentChange(final double changePercentChange) {
		this.changePercentChange = changePercentChange;
	}

	/**
	 * @param changePercentRealtime
	 *            the changePercentRealtime to set
	 */
	public void setChangePercentRealtime(final double changePercentRealtime) {
		this.changePercentRealtime = changePercentRealtime;
	}

	/**
	 * @param changeRealtime
	 *            the changeRealtime to set
	 */
	public void setChangeRealtime(final double changeRealtime) {
		this.changeRealtime = changeRealtime;
	}

	/**
	 * @param commission
	 *            the commission to set
	 */
	public void setCommission(final String commission) {
		this.commission = commission;
	}

	/**
	 * @param currency
	 *            the currency to set
	 */
	public void setCurrency(final String currency) {
		this.currency = currency;
	}

	/**
	 * @param daysHigh
	 *            the daysHigh to set
	 */
	public void setDaysHigh(final double daysHigh) {
		this.daysHigh = daysHigh;
	}

	/**
	 * @param daysLow
	 *            the daysLow to set
	 */
	public void setDaysLow(final double daysLow) {
		this.daysLow = daysLow;
	}

	/**
	 * @param daysRange
	 *            the daysRange to set
	 */
	public void setDaysRange(final double daysRange) {
		this.daysRange = daysRange;
	}

	/**
	 * @param daysRangeRealtime
	 *            the daysRangeRealtime to set
	 */
	public void setDaysRangeRealtime(final double daysRangeRealtime) {
		this.daysRangeRealtime = daysRangeRealtime;
	}

	/**
	 * @param daysValueChange
	 *            the daysValueChange to set
	 */
	public void setDaysValueChange(final double daysValueChange) {
		this.daysValueChange = daysValueChange;
	}

	/**
	 * @param daysValueChangeRealtime
	 *            the daysValueChangeRealtime to set
	 */
	public void setDaysValueChangeRealtime(final double daysValueChangeRealtime) {
		this.daysValueChangeRealtime = daysValueChangeRealtime;
	}

	/**
	 * @param dividendPayDate
	 *            the dividendPayDate to set
	 */
	public void setDividendPayDate(final Date dividendPayDate) {
		this.dividendPayDate = dividendPayDate;
	}

	/**
	 * @param dividendShare
	 *            the dividendShare to set
	 */
	public void setDividendShare(final double dividendShare) {
		this.dividendShare = dividendShare;
	}

	/**
	 * @param dividendYield
	 *            the dividendYield to set
	 */
	public void setDividendYield(final String dividendYield) {
		this.dividendYield = dividendYield;
	}

	/**
	 * @param earningsShare
	 *            the earningsShare to set
	 */
	public void setEarningsShare(final double earningsShare) {
		this.earningsShare = earningsShare;
	}

	/**
	 * @param eBITDA
	 *            the eBITDA to set
	 */
	public void setEbitda(final double eBITDA) {
		this.ebitda = eBITDA;
	}

	/**
	 * @param ePSEstimateCurrentYear
	 *            the ePSEstimateCurrentYear to set
	 */
	public void setEPSEstimateCurrentYear(final double ePSEstimateCurrentYear) {
		this.ePSEstimateCurrentYear = ePSEstimateCurrentYear;
	}

	/**
	 * @param ePSEstimateNextQuarter
	 *            the ePSEstimateNextQuarter to set
	 */
	public void setEPSEstimateNextQuarter(final double ePSEstimateNextQuarter) {
		this.ePSEstimateNextQuarter = ePSEstimateNextQuarter;
	}

	/**
	 * @param ePSEstimateNextYear
	 *            the ePSEstimateNextYear to set
	 */
	public void setEPSEstimateNextYear(final double ePSEstimateNextYear) {
		this.ePSEstimateNextYear = ePSEstimateNextYear;
	}

	/**
	 * @param errorIndicationreturnedforsymbolchangedinvalid
	 *            the errorIndicationreturnedforsymbolchangedinvalid to set
	 */
	public void setErrorIndicationreturnedforsymbolchangedinvalid(
			final String errorIndicationreturnedforsymbolchangedinvalid) {
		this.errorIndicationreturnedforsymbolchangedinvalid = errorIndicationreturnedforsymbolchangedinvalid;
	}

	/**
	 * @param exDividendDate
	 *            the exDividendDate to set
	 */
	public void setExDividendDate(final Date exDividendDate) {
		this.exDividendDate = exDividendDate;
	}

	/**
	 * @param fiftydayMovingAverage
	 *            the fiftydayMovingAverage to set
	 */
	public void setFiftydayMovingAverage(final double fiftydayMovingAverage) {
		this.fiftydayMovingAverage = fiftydayMovingAverage;
	}

	/**
	 * @param highLimit
	 *            the highLimit to set
	 */
	public void setHighLimit(final double highLimit) {
		this.highLimit = highLimit;
	}

	/**
	 * @param holdingsGain
	 *            the holdingsGain to set
	 */
	public void setHoldingsGain(final double holdingsGain) {
		this.holdingsGain = holdingsGain;
	}

	/**
	 * @param holdingsGainPercent
	 *            the holdingsGainPercent to set
	 */
	public void setHoldingsGainPercent(final double holdingsGainPercent) {
		this.holdingsGainPercent = holdingsGainPercent;
	}

	/**
	 * @param holdingsGainPercentRealtime
	 *            the holdingsGainPercentRealtime to set
	 */
	public void setHoldingsGainPercentRealtime(
			final double holdingsGainPercentRealtime) {
		this.holdingsGainPercentRealtime = holdingsGainPercentRealtime;
	}

	/**
	 * @param holdingsGainRealtime
	 *            the holdingsGainRealtime to set
	 */
	public void setHoldingsGainRealtime(final double holdingsGainRealtime) {
		this.holdingsGainRealtime = holdingsGainRealtime;
	}

	/**
	 * @param holdingsValue
	 *            the holdingsValue to set
	 */
	public void setHoldingsValue(final double holdingsValue) {
		this.holdingsValue = holdingsValue;
	}

	/**
	 * @param holdingsValueRealtime
	 *            the holdingsValueRealtime to set
	 */
	public void setHoldingsValueRealtime(final double holdingsValueRealtime) {
		this.holdingsValueRealtime = holdingsValueRealtime;
	}

	/**
	 * @param lastTradeDate
	 *            the lastTradeDate to set
	 */
	public void setLastTradeDate(final Date lastTradeDate) {
		this.lastTradeDate = lastTradeDate;
	}

	/**
	 * @param lastTradePriceOnly
	 *            the lastTradePriceOnly to set
	 */
	public void setLastTradePriceOnly(final double lastTradePriceOnly) {
		this.lastTradePriceOnly = lastTradePriceOnly;
	}

	/**
	 * @param lastTradeRealtimeWithTime
	 *            the lastTradeRealtimeWithTime to set
	 */
	public void setLastTradeRealtimeWithTime(
			final double lastTradeRealtimeWithTime) {
		this.lastTradeRealtimeWithTime = lastTradeRealtimeWithTime;
	}

	/**
	 * @param lastTradeTime
	 *            the lastTradeTime to set
	 */
	public void setLastTradeTime(final Time lastTradeTime) {
		this.lastTradeTime = lastTradeTime;
	}

	/**
	 * @param lastTradeWithTime
	 *            the lastTradeWithTime to set
	 */
	public void setLastTradeWithTime(final double lastTradeWithTime) {
		this.lastTradeWithTime = lastTradeWithTime;
	}

	/**
	 * @param lowLimit
	 *            the lowLimit to set
	 */
	public void setLowLimit(final double lowLimit) {
		this.lowLimit = lowLimit;
	}

	/**
	 * @param marketCapitalization
	 *            the marketCapitalization to set
	 */
	public void setMarketCapitalization(final double marketCapitalization) {
		this.marketCapitalization = marketCapitalization;
	}

	/**
	 * @param marketCapRealtime
	 *            the marketCapRealtime to set
	 */
	public void setMarketCapRealtime(final double marketCapRealtime) {
		this.marketCapRealtime = marketCapRealtime;
	}

	/**
	 * @param moreInfo
	 *            the moreInfo to set
	 */
	public void setMoreInfo(final String moreInfo) {
		this.moreInfo = moreInfo;
	}

	/**
	 * @param name
	 *            the name to set
	 */
	public void setName(final String name) {
		this.name = name;
	}

	/**
	 * @param notes
	 *            the notes to set
	 */
	public void setNotes(final String notes) {
		this.notes = notes;
	}

	/**
	 * @param oneyrTargetPrice
	 *            the oneyrTargetPrice to set
	 */
	public void setOneyrTargetPrice(final double oneyrTargetPrice) {
		this.oneyrTargetPrice = oneyrTargetPrice;
	}

	/**
	 * @param open
	 *            the open to set
	 */
	public void setOpen(final double open) {
		this.open = open;
	}

	/**
	 * @param orderBookRealtime
	 *            the orderBookRealtime to set
	 */
	public void setOrderBookRealtime(final double orderBookRealtime) {
		this.orderBookRealtime = orderBookRealtime;
	}

	/**
	 * @param peGRatio
	 *            the pEGRatio to set
	 */
	public void setPeGRatio(final double peGRatio) {
		this.peGRatio = peGRatio;
	}

	/**
	 * @param peRatio
	 *            the pERatio to set
	 */
	public void setPeRatio(final double peRatio) {
		this.peRatio = peRatio;
	}

	/**
	 * @param peRatioRealtime
	 *            the pERatioRealtime to set
	 */
	public void setPeRatioRealtime(final double peRatioRealtime) {
		this.peRatioRealtime = peRatioRealtime;
	}

	/**
	 * @param percebtChangeFromYearHigh
	 *            the percebtChangeFromYearHigh to set
	 */
	public void setPercebtChangeFromYearHigh(
			final double percebtChangeFromYearHigh) {
		this.percebtChangeFromYearHigh = percebtChangeFromYearHigh;
	}

	/**
	 * @param percentChange
	 *            the percentChange to set
	 */
	public void setPercentChange(final double percentChange) {
		this.percentChange = percentChange;
	}

	/**
	 * @param percentChangeFromFiftydayMovingAverage
	 *            the percentChangeFromFiftydayMovingAverage to set
	 */
	public void setPercentChangeFromFiftydayMovingAverage(
			final double percentChangeFromFiftydayMovingAverage) {
		this.percentChangeFromFiftydayMovingAverage = percentChangeFromFiftydayMovingAverage;
	}

	/**
	 * @param percentChangeFromTwoHundreddayMovingAverage
	 *            the percentChangeFromTwoHundreddayMovingAverage to set
	 */
	public void setPercentChangeFromTwoHundreddayMovingAverage(
			final double percentChangeFromTwoHundreddayMovingAverage) {
		this.percentChangeFromTwoHundreddayMovingAverage = percentChangeFromTwoHundreddayMovingAverage;
	}

	/**
	 * @param percentChangeFromYearLow
	 *            the percentChangeFromYearLow to set
	 */
	public void setPercentChangeFromYearLow(
			final double percentChangeFromYearLow) {
		this.percentChangeFromYearLow = percentChangeFromYearLow;
	}

	/**
	 * @param previousClose
	 *            the previousClose to set
	 */
	public void setPreviousClose(final double previousClose) {
		this.previousClose = previousClose;
	}

	/**
	 * @param priceBook
	 *            the priceBook to set
	 */
	public void setPriceBook(final double priceBook) {
		this.priceBook = priceBook;
	}

	/**
	 * @param priceEPSEstimateCurrentYear
	 *            the priceEPSEstimateCurrentYear to set
	 */
	public void setPriceEPSEstimateCurrentYear(
			final double priceEPSEstimateCurrentYear) {
		this.priceEPSEstimateCurrentYear = priceEPSEstimateCurrentYear;
	}

	/**
	 * @param priceEPSEstimateNextYear
	 *            the priceEPSEstimateNextYear to set
	 */
	public void setPriceEPSEstimateNextYear(
			final double priceEPSEstimateNextYear) {
		this.priceEPSEstimateNextYear = priceEPSEstimateNextYear;
	}

	/**
	 * @param pricePaid
	 *            the pricePaid to set
	 */
	public void setPricePaid(final double pricePaid) {
		this.pricePaid = pricePaid;
	}

	/**
	 * @param priceSales
	 *            the priceSales to set
	 */
	public void setPriceSales(final double priceSales) {
		this.priceSales = priceSales;
	}

	/**
	 * @param sharesOwned
	 *            the sharesOwned to set
	 */
	public void setSharesOwned(final String sharesOwned) {
		this.sharesOwned = sharesOwned;
	}

	/**
	 * @param shortRatio
	 *            the shortRatio to set
	 */
	public void setShortRatio(final double shortRatio) {
		this.shortRatio = shortRatio;
	}

	/**
	 * @param stockExchange
	 *            the stockExchange to set
	 */
	public void setStockExchange(final String stockExchange) {
		this.stockExchange = stockExchange;
	}

	/**
	 * @param symbol
	 *            the symbol to set
	 */
	public void setSymbol(final String symbol) {
		this.symbol = symbol;
	}

	/**
	 * @param tickerTrend
	 *            the tickerTrend to set
	 */
	public void setTickerTrend(final String tickerTrend) {
		this.tickerTrend = tickerTrend;
	}

	/**
	 * @param tradeDate
	 *            the tradeDate to set
	 */
	public void setTradeDate(final Date tradeDate) {
		this.tradeDate = tradeDate;
	}

	/**
	 * @param twoHundreddayMovingAverage
	 *            the twoHundreddayMovingAverage to set
	 */
	public void setTwoHundreddayMovingAverage(
			final double twoHundreddayMovingAverage) {
		this.twoHundreddayMovingAverage = twoHundreddayMovingAverage;
	}

	/**
	 * @param volume
	 *            the volume to set
	 */
	public void setVolume(final double volume) {
		this.volume = volume;
	}

	/**
	 * @param yearHigh
	 *            the yearHigh to set
	 */
	public void setYearHigh(final double yearHigh) {
		this.yearHigh = yearHigh;
	}

	/**
	 * @param yearLow
	 *            the yearLow to set
	 */
	public void setYearLow(final double yearLow) {
		this.yearLow = yearLow;
	}

	/**
	 * @param yearRange
	 *            the yearRange to set
	 */
	public void setYearRange(final String yearRange) {
		this.yearRange = yearRange;
	}

}
