/*
 * Copyright 2014 frankmuenster.de
 *
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald
 * diese von der Europischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie drfen dieses Werk ausschlielich gem
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   http://ec.europa.eu/idabc/eupl
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschrnkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.frankmuenster.jameica.depot.gui.menu;

import de.frankmuenster.jameica.depot.Settings;
import de.frankmuenster.jameica.depot.gui.action.WertpapierDeleteAction;
import de.frankmuenster.jameica.depot.gui.action.WertpapierDetailAction;
import de.willuhn.jameica.gui.parts.CheckedContextMenuItem;
import de.willuhn.jameica.gui.parts.ContextMenu;
import de.willuhn.jameica.gui.parts.ContextMenuItem;

/**
 * Wertpapierliste Kontextmen&uuml;
 * 
 * @author munstfr
 * @version 1.0
 */
public class WertpapierListeMenu extends ContextMenu {

	/**
	 * Standardkonstruktor
	 */
	public WertpapierListeMenu() {

		super();
		// CheckedContextMenuItems will be disabled, if the user clicks into an
		// empty space of the table
		addItem(new CheckedContextMenuItem(Settings.getI18n().tr("WertpapierListeMenu.open"), //$NON-NLS-1$
				new WertpapierDetailAction()));

		addItem(ContextMenuItem.SEPARATOR);
		addItem(new CheckedContextMenuItem(Settings.getI18n().tr("WertpapierListeMenu.delete"), //$NON-NLS-1$
				new WertpapierDeleteAction()));

	}
}
