/*
 * Copyright 2016 frankmuenster.de
 * 
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald
 * diese von der Europischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie drfen dieses Werk ausschlielich gem
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 * 
 * http://ec.europa.eu/idabc/eupl
 * 
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschrnkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.frankmuenster.jameica.depot.gui.navigation;

import java.rmi.RemoteException;

import de.frankmuenster.jameica.depot.Settings;
import de.frankmuenster.jameica.depot.gui.action.ViewAktienKontoAction;
import de.willuhn.jameica.gui.NavigationItem;
import de.willuhn.jameica.gui.extension.Extendable;
import de.willuhn.jameica.gui.extension.Extension;
import de.willuhn.logging.Logger;

/**
 * Extension Klasse des AktienKonto-Plugins fr den Eintrag im Navigationsmen
 * 
 * @author munstfr
 * @version 1.0
 * 
 */
public class AktienKontoExtension implements Extension {

	/**
	 * Standardkonstruktor
	 */
	public AktienKontoExtension() {
		// Absichlich leer
	}

	/**
	 * @see de.willuhn.jameica.gui.extension.Extension#extend(de.willuhn.jameica.
	 *      gui.extension.Extendable)
	 */
	@Override
	public void extend(final Extendable extendable) {
		try {
			final NavigationItem qrScanner = (NavigationItem) extendable;
			qrScanner.addChild(new AktienKontoItem(qrScanner, "JaDepot", //$NON-NLS-1$
					new ViewAktienKontoAction(), "jadepot_32x32.png")); //$NON-NLS-1$

		} catch (RemoteException e) {
			Logger.error(Settings.getI18n().tr(
					"AktienKontoExtension.extendError")); //$NON-NLS-1$
		}
	}

}
