/*
 * Copyright 2016 frankmuenster.de
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald
 * diese von der Europischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie drfen dieses Werk ausschlielich gem
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 * http://ec.europa.eu/idabc/eupl
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschrnkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.frankmuenster.jameica.depot.gui.utils;

import java.util.Random;

import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.Color;

import de.willuhn.jameica.gui.GUI;

/**
 * Utility Klasse fr Farben
 * 
 * @author munstfr
 * @version 1.0
 */
public final class ColorUtils {

	/**
	 * Standardkonstruktor
	 */
	private ColorUtils() {
		// absichlich leer
	}

	/**
	 * Erzeugt eine zuf&auml;llige Farbe
	 * 
	 * @return eine zuf&auml;llig erzeugt Farbe
	 */
	public static Color getRandomColor() {

		final Random random = new Random();
		int red = random.nextInt(512);
		int green = random.nextInt(512);
		int blue = random.nextInt(512);

		final Color mix = GUI.getDisplay().getSystemColor(SWT.COLOR_RED);

		// mix the color
		if (mix != null) {
			red = (red + mix.getRed()) / 3;
			green = (green + mix.getGreen()) / 3;
			blue = (blue + mix.getBlue()) / 3;
		}

		return new Color(GUI.getDisplay(), red, green, blue);
	}

	/**
	 * Erstellt eine AWT Farbe basierend auf den RGB-Werten einer SWT Farbe.
	 * 
	 * @param color
	 *            Die SWT Farbe.
	 * @return ein AWT Farbobjekt.
	 */
	public static java.awt.Color toAwtColor(final Color color) {
		return new java.awt.Color(color.getRed(), color.getGreen(),
				color.getBlue());
	}

}
