/*
 * Copyright 2016 frankmuenster.de
 *
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald
 * diese von der Europischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie drfen dieses Werk ausschlielich gem
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   http://ec.europa.eu/idabc/eupl
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschrnkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.frankmuenster.jameica.depot.kursanalyse.BollingBaender; // NOPMD

import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;

import de.frankmuenster.jameica.depot.Settings;
import de.frankmuenster.jameica.depot.kursanalyse.dialog.AbstractAddAnalyseDialog;
import de.willuhn.jameica.gui.Action;
import de.willuhn.jameica.gui.dialogs.AbstractDialog;
import de.willuhn.jameica.gui.input.SelectInput;
import de.willuhn.jameica.gui.parts.ButtonArea;
import de.willuhn.jameica.gui.util.Container;
import de.willuhn.jameica.gui.util.SimpleContainer;
import de.willuhn.util.ApplicationException;

/**
 * Bolling-B&auml;nder AddDialog
 * 
 * @author munstfr
 * @version 1.0
 */
public class BollingBaenderAddDialog extends AbstractAddAnalyseDialog<Integer> {

	/**
	 * Standardwert
	 */
	private transient int result = 20;

	/**
	 * Erzeugt einen neuen AddDialog
	 */
	public BollingBaenderAddDialog() {
		super(AbstractDialog.POSITION_CENTER, false);
		this.setTitle(Settings.getI18n().tr(Settings.getI18n().tr("BollingBaenderAddDialog.dialogTitel"))); //$NON-NLS-1$
		this.setSize(270, 160);
	}

	/**
	 * @see de.willuhn.jameica.gui.dialogs.AbstractDialog#paint(Composite
	 *      parent)
	 */
	@Override
	protected void paint(final Composite parent) {

		final GridLayout gridLayout = new GridLayout();
		gridLayout.numColumns = 1;
		parent.setLayout(gridLayout);

		// Erstelle einfachen Container
		final Container container = new SimpleContainer(parent, true, 2);

		final String list[] = { "10", "20", "50" }; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
		final String preselected = Integer.toString(result);
		final SelectInput periode = new SelectInput(list, preselected);

		container.addLabelPair(Settings.getI18n().tr("BollingBaenderAddDialog.period"), periode); //$NON-NLS-1$
		container.addText(" ", false); //$NON-NLS-1$

		final ButtonArea buttons = new ButtonArea();
		buttons.addButton(Settings.getI18n().tr(Settings.getI18n().tr("BollingBaenderAddDialog.btnAdd")), new Action() { //$NON-NLS-1$
			/**
			 * @see de.willuhn.jameica.gui.Action#handleAction(Object context)
			 */
			@Override
			public void handleAction(final Object context)
					throws ApplicationException {
				result = Integer.parseInt((String) periode.getValue());
				close();
			}
		}, null, true, "ok.png"); //$NON-NLS-1$

		buttons.addButton(Settings.getI18n().tr(Settings.getI18n().tr("BollingBaenderAddDialog.btnCancel")), new Action() { //$NON-NLS-1$
			/**
			 * @see de.willuhn.jameica.gui.Action#handleAction(Object context)
			 */
			@Override
			public void handleAction(final Object context)
					throws ApplicationException {
				result = 0;
				close();
			}
		}, null, false, "window-close.png"); //$NON-NLS-1$

		container.addButtonArea(buttons);

	}

	/**
	 * de.willuhn.jameica.gui.dialogs.AbstractDialog.getData()
	 */
	@Override
	protected Integer getData() {
		return this.result;
	}

}
