/*
 * Copyright 2016 frankmuenster.de
 *
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald
 * diese von der Europischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie drfen dieses Werk ausschlielich gem
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   http://ec.europa.eu/idabc/eupl
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschrnkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.frankmuenster.jameica.depot.kursanalyse.MACD; // NOPMD 

import de.frankmuenster.jameica.depot.Settings;
import de.frankmuenster.jameica.depot.kursanalyse.AbstractHandleAddAction;
import de.frankmuenster.jameica.depot.kursanalyse.IKursAnalyse;
import de.frankmuenster.jameica.depot.kursanalyse.KursAnalyseParameter;
import de.frankmuenster.jameica.depot.kursanalyse.KursAnalyseTyp;
import de.willuhn.logging.Logger;
import de.willuhn.util.ApplicationException;

/**
 * MACD HandleAddAction
 * 
 * @author munstfr
 * @version 1.0
 */
public class MACDHandleAddAction extends AbstractHandleAddAction {

	/**
	 * Standardkonstruktor
	 */
	public MACDHandleAddAction() {
		super();
	}

	/**
	 * @see de.willuhn.jameica.gui.Action#handleAction(Object context)
	 */
	@Override
	public void handleAction(final Object context) throws ApplicationException {

		Logger.info(Settings.getI18n().tr("MACDHandleAddAction.logAdd")); //$NON-NLS-1$
		handleAdd();
	}

	private void handleAdd() {

		final MACDParameter para = new MACDParameter();

		final KursAnalyseParameter<MACDParameter> parameter = new KursAnalyseParameter<MACDParameter>(
				para);

		final IKursAnalyse<MACDParameter, ?> mcad = new MACD();
		mcad.setKursAnalyseParameter(parameter);
		mcad.setType(KursAnalyseTyp.SEPERATE_GRAPH);

		// Call listener
		notifyListeners(mcad);
	}

}
