/*
 * Copyright 2016 frankmuenster.de
 *
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald
 * diese von der Europischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie drfen dieses Werk ausschlielich gem
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 *   http://ec.europa.eu/idabc/eupl
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschrnkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.frankmuenster.jameica.depot.kursanalyse.RSI; // NOPMD

import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;

import de.frankmuenster.jameica.depot.Settings;
import de.frankmuenster.jameica.depot.kursanalyse.dialog.AbstractAddAnalyseDialog;
import de.willuhn.jameica.gui.Action;
import de.willuhn.jameica.gui.dialogs.AbstractDialog;
import de.willuhn.jameica.gui.input.SelectInput;
import de.willuhn.jameica.gui.parts.ButtonArea;
import de.willuhn.jameica.gui.util.Container;
import de.willuhn.jameica.gui.util.SimpleContainer;
import de.willuhn.util.ApplicationException;

/**
 * RelativeStrengthIndex AddDialog
 * 
 * @author munstfr
 * @version 1.0
 */
public class RelativeStrengthIndexAddDialog extends
		AbstractAddAnalyseDialog<Integer> {

	/**
	 * Standardwert
	 */
	private transient int result = 14;

	/**
	 * Erzeugt einen neuen AddDialog
	 */
	public RelativeStrengthIndexAddDialog() {
		super(AbstractDialog.POSITION_CENTER, false);
		this.setTitle(Settings.getI18n().tr(
				"RelativeStrengthIndexAddDialog.dialogTitle")); //$NON-NLS-1$
		this.setSize(270, 160);
	}

	/**
	 * 
	 * @see de.willuhn.jameica.gui.dialogs.AbstractDialog#paint(org.eclipse.swt.widgets.Composite)
	 */
	@Override
	protected void paint(final Composite parent) {

		final GridLayout layout = new GridLayout();
		layout.numColumns = 1;
		// layout.makeColumnsEqualWidth = true;
		parent.setLayout(layout);

		// Erstelle einfachen Container
		final Container container = new SimpleContainer(parent, true, 2);

		final String list[] = { "7", "9", "14", "25" }; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
		final String preselected = Integer.toString(result);
		final SelectInput periode = new SelectInput(list, preselected);

		container.addLabelPair(
				Settings.getI18n().tr(
						"RelativeStrengthIndexAddDialog.lblPeriod"), periode); //$NON-NLS-1$
		container.addText(" ", false); //$NON-NLS-1$

		final ButtonArea buttons = new ButtonArea();
		buttons.addButton(
				Settings.getI18n().tr("RelativeStrengthIndexAddDialog.btnAdd"), new Action() { //$NON-NLS-1$
					/**
					 * @see de.willuhn.jameica.gui.Action#handleAction(java.lang.Object)
					 */
					@Override
					public void handleAction(final Object context)
							throws ApplicationException {
						result = Integer.parseInt((String) periode.getValue());
						close();
					}
				}, null, true, "ok.png"); //$NON-NLS-1$

		buttons.addButton(
				Settings.getI18n().tr(
						"RelativeStrengthIndexAddDialog.btnCancel"), new Action() { //$NON-NLS-1$
					/**
					 * @see de.willuhn.jameica.gui.Action#handleAction(java.lang.Object)
					 */
					@Override
					public void handleAction(final Object context)
							throws ApplicationException {
						result = 0;
						close();
					}
				}, null, false, "window-close.png"); //$NON-NLS-1$

		container.addButtonArea(buttons);

	}

	/**
	 * @see de.willuhn.jameica.gui.dialogs.AbstractDialog#getData()
	 */
	@Override
	protected Integer getData() {
		return this.result;
	}

}
