/*
 * Copyright 2016 frankmuenster.de
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald
 * diese von der Europischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie drfen dieses Werk ausschlielich gem
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 * http://ec.europa.eu/idabc/eupl
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrcklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschrnkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */

package de.frankmuenster.jameica.depot.kursanalyse.Volumen; //NOPMD

import org.jfree.chart.plot.XYPlot;

import de.frankmuenster.jameica.depot.Settings;
import de.frankmuenster.jameica.depot.kursanalyse.AbstractHandleAddAction;
import de.frankmuenster.jameica.depot.kursanalyse.IKursAnalyse;
import de.frankmuenster.jameica.depot.kursanalyse.KursAnalyseParameter;
import de.frankmuenster.jameica.depot.kursanalyse.KursAnalyseTyp;
import de.willuhn.logging.Logger;

/**
 * Aktion zum Hinzuf&uuml;gen der Methode.
 * 
 * @author munstfr
 * @version 1.0
 */
public class VolumenHandleAction extends AbstractHandleAddAction {

	/**
	 * Standardkonstruktor
	 */
	public VolumenHandleAction() {
		super();
	}

	/**
	 * @see AbstractHandleAddAction#handleAction(Object)
	 */
	@Override
	public void handleAction(final Object context)
			throws de.willuhn.util.ApplicationException {

		Logger.info(Settings.getI18n().tr("VolumenHandleAction.logAdd")); //$NON-NLS-1$
		handleAddVolumen();
	}

	private void handleAddVolumen() {

		final KursAnalyseParameter<Integer> parameter = new KursAnalyseParameter<Integer>(
				0);
		final IKursAnalyse<Integer, XYPlot> volumen = new Volumen();
		volumen.setKursAnalyseParameter(parameter);
		volumen.setType(KursAnalyseTyp.SEPERATE_GRAPH);

		// Call listener
		notifyListeners(volumen);
	}
}
